﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace 多文档编辑器
{
    public partial class DocForm : Form
    {
        DocForm doc;

        public RichTextBox Sourse
        {
            get
            {
                return richTextBox;
            }
            set
            {
                richTextBox = value;
            }
        }


        private string _filePath = string.Empty;
        private int _index;

        public int GetFileTypeIndex()
        {
            return _index;
        }
        public void SetFileTypeIndex(int i)
        {
            _index = i;
        }


        public string GetFilePath()
        {
            return this._filePath;
        }
        public void SetFilePath(string value)
        {
            _filePath = value;
        }


        public DocForm()
        {
            InitializeComponent();
        }
        public DocForm(RichTextBoxStreamType fileType, string filePath,int i)
        {
            InitializeComponent();

            this.SetFilePath(filePath);
            this.richTextBox.LoadFile(filePath, fileType);
            this.SetFileTypeIndex(i);
        }


        private void DocForm_Load(object sender, EventArgs e)
        {
            this.doc = (DocForm)MainForm.GetDocTrun();
        }
    }
}
