﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace 多文档编辑器
{
    public partial class FindForm : Form
    {
        DocForm doc ;
        private static int index=0;
        private static int count = 0;
        public FindForm()
        {
            InitializeComponent();
        }

        private void FindForm_Load(object sender, EventArgs e)
        {
            this.doc = MainForm.GetDocTrun();
        }


        private void btn_FindFrom_ReplaceOne_Click(object sender, EventArgs e)
        {
            string strOld = Convert.ToString(tb_FindForm_FinfContain.Text);
            string strNew = Convert.ToString(tb_FindForm_Replace.Text);
            string str = Convert.ToString(tb_FindForm_FinfContain.Text);

            try
            {
                if (doc.Sourse.Text.Contains(strOld))
                {
                    Clipboard.Clear();
                    count = doc.Sourse.Find(strOld, index, RichTextBoxFinds.None);
                    doc.Sourse.Select(count, str.Length);
                    Clipboard.SetText(doc.Sourse.SelectedText.Replace(strOld, strNew));
                    doc.Sourse.Paste();
                    count++;
                }
                else
                    return;
            }
            catch (Exception ex)
            {
                return;
            }
        }

        private void btn_FindFrom_ReplaceAll_Click(object sender, EventArgs e)
        {
            string strOld = Convert.ToString(tb_FindForm_FinfContain.Text);
            string strNew = Convert.ToString(tb_FindForm_Replace.Text);

            try
            {
                if (doc.Sourse.Text.Contains(strOld))
                {
                    doc.Sourse.Text = doc.Sourse.Text.Replace(strOld, strNew);
                }
            }
            catch (Exception ex)
            {
                return;
            }
        }

        private void btn_FindFrom_FindNext_Click(object sender, EventArgs e)
        {
            string str = Convert.ToString(tb_FindForm_FinfContain.Text);
            try
            {
                if (doc.Sourse.Text.Contains(str))
                {
                    index = doc.Sourse.Find(str, index, RichTextBoxFinds.None);
                    doc.Sourse.Select(index, str.Length);
                    index++;
                }
            }
            catch (Exception ex)
            {
                if (index == -1)
                {
                    index = 0;
                }
            }
        }

        private void btn_FindFrom_Cancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }
    }
}
